# Luet Configuration File
#
# ---------------------------------------------
# Logging configuration section:
# ---------------------------------------------
# logging:
#   # Enable loggging to file (if path is not empty)
#   enable_logfile: false
#
#   Leave empty to skip logging to file.
#   path: "/var/log/luet.log"
#
#   Set logging level: error|warning|info|debug
#   level: "info"
#
#   Enable JSON log format instead of console mode.
#   json_format: false.
#
#   Disable/Enable color
#   color: true
#
#   Enable/Disable emoji
#   enable_emoji: true
#
# ---------------------------------------------
# General configuration section:
# ---------------------------------------------
# general:
#   Define max concurrency processes. Default is based of arch: runtime.NumCPU()
#   concurrency: 1
#
#   Enable Debug. If debug is active spinner is disabled.
#   debug: false
#
#   Show output of build execution (docker, img, etc.)
#   show_build_output: false
#
#   Define spinner ms
#   spinner_ms: 200
#
#   Define spinner charset. See https://github.com/briandowns/spinner
#   spinner_charset: 22
#
#   Enable warnings to exit
#   fatal_warnings: false
#
#   Try extracting tree/packages with the same ownership as exists in the archive (default for superuser).
#   same_owner: false
#
# ---------------------------------------------
# System configuration section:
# ---------------------------------------------
# system:
#
#   Rootfs path of the luet system. Default is /.
#   A specific path could be used for test installation to
#   a chroot environment.
#   rootfs: "/"
#
#   Choice database engine used for luet database.
#   Supported values: boltdb|memory
#   database_engine: boltdb
#
#   Database path directory where store luet database.
#   The path is append to rootfs option path.
#   database_path: "/var/cache/luet"
#
#   Define the tmpdir base directory where luet store temporary files.
#   Default $TMPDIR/tmpluet
#   tmpdir_base: "/tmp/tmpluet"
#
#
# ---------------------------------------------
# Repositories configurations directories.
# ---------------------------------------------
# Define the list of directories where luet
# try for files with .yml extension that define
# luet repository.
# repos_confdir:
#   - /etc/luet/repos.conf.d
#
#
# ------------------------------------------------
# Config protect configuration files directories.
# -----------------------------------------------
# Define the list of directories where load
# configuration files with the list of config
# protect paths.
# config_protect_confdir:
#   - /etc/luet/config.protect.d
#
# Permit to ignore rules defined on
# config protect confdir and packages
# annotation.
# config_protect_skip: false
#
# The paths used for load repositories and config
# protects are based on host rootfs.
# If set to false rootfs path is used as prefix.
# config_from_host: true
#
#
# ------------------------------------------------
# Finalizer Environment Variables
# -----------------------------------------------
# finalizer_envs:
#  - key: "BUILD_ISO"
#    value: "1"
#
# System repositories
# ---------------------------------------------
# In alternative to define repositories files
# through repos_confdir option is possible
# define directly the list of the repositories.
#
# repositories:
#
#     Name of the repository. It's better that this name is unique. Mandatory.
#   - name: "repo1"
#
#     A user-friendly description of the repository
#     description: "My luet repo"
#
#     Type of the repository. Supported types are: dir|http. Mandatory.
#     type: "dir"
#
#     Define the priority of the repository on research packages. Default is 9999.
#     priority: 9999
#
#     Enable/Disable of the repository.
#     enable: false
#
#     Cached repository. If true a local cache of the remote repository tree is maintained
#     locally in the $tree_path else it is used a temporary directory that is removed when
#     installation of a package is completed. A cached repository reduce time on search/install
#     packages. By default caching is disable.
#     cached: false
#
#     Path where store tree of the specifications. Default path is $database_path/repos/$repo_name/treefs
#     tree_path: "/var/cache/luet/repos/local/treefs"
#
#     Path where store repository metadata. Default path is $database_path/repos/$repo_name/meta
#     meta_path: "/var/cache/luet/repos/local/meta"
#
#     Define the list of the URL where retrieve tree and packages.
#     urls:
#        - https://mydomain.local/luet/repo1
#
#     auth:
#        Define Basic authentication header
#        basic: "mybasicauth"
#        Define token authentication header
#        token: "mytoken"
# ---------------------------------------------
# Solver parameter configuration:
# ---------------------------------------------
# solver:
#
#   Solver strategy to solve possible conflicts during depedency
#   solving. Defaults to empty (none). Available: qlearning
#   type: ""
#
#   Solver agent learning rate. 0.1 to 1.0
#   rate: 0.7
#
#   Learning discount factor.
#   discount: 1.0
#
#   Number of overall attempts that the solver has available before bailing out.
#   max_attempts: 9000
#
